/ comp / gb.net / socket / status
Socket.Status (gb.net)
Syntax

    PROPERTY READ Status AS Integer

Reflects the current status of a Socket object.

### Activity (positive values)

Constant | Meaning
--- | ---
`Net.Searching` | Translating host name to IP address
Net.Connecting | Trying to connect to remote server
Net.Connected | Connected to remote server, ready to send and receive data

### Inactivity (zero)

Constant | Meaning
--- | ---
Net.Inactive | Socket closed (default)

### Error values (negative values)

Constant | Meaning
--- | ---
Net.CannotCreateSocket | The system did not allow to create a new socket.
Net.ConnectionRefused | Remote server refused connection.
Net.CannotRead | Unable to read data, connection broken.
Net.CannotWrite | Unable to write data, connection broken.